ocrmypdf (6.2.5-1) unstable; urgency=medium

  * New upstream release (Closes: #912001).
    Thank you to upstream for the fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 29 Oct 2018 17:23:44 -0700

ocrmypdf (6.2.4-1) unstable; urgency=medium

  * New upstream release (Closes: #908937).
    Thank you to upstream for backporting the fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 17 Sep 2018 06:52:05 -0700

ocrmypdf (6.2.3-1) unstable; urgency=medium

  * New upstream release (Closes: #904185).
    Thank you to upstream for the fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 02 Aug 2018 14:01:46 +0800

ocrmypdf (6.2.2-2) unstable; urgency=medium

  * Tighten {build-,}dependency on python3-ruffus to require 2.7 (Closes:
    #903811).
    Thanks to Paul Gevers for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 15 Jul 2018 18:15:58 +0100

ocrmypdf (6.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Loosen {build-,}dependency on python3-ruffus (Closes: #903627).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 13 Jul 2018 17:28:42 +0100

ocrmypdf (6.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Tighten dependency on qpdf to 7.0.0 or newer.
  * Fix excluding installation instructions from bin:ocrmypdf-doc.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 05 May 2018 12:12:22 -0700

ocrmypdf (6.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #888917).
  * Various updates to d/copyright due to project relicensing and source
    tree rearrangement.
    - Additionally update upstream contact e-mail address.
    - Additionally use https for Format: field.
  * Add python3-defusedxml build-dep.
  * Drop python3-pytest-xdist autopkgtest dependency.
  * Drop SETUPTOOLS_SCM_PRETEND_VERSION hack from d/rules.
    Obsoleted by upstream changes.
  * Update override_dh_auto_build for source tree rearrangement.
  * Update d/tests/control for source tree rearrangement.
  * Add README.Debian about the lack of PyMuPDF support.
  * Add debian/NEWS to detail breaking changes in command line interface.
    Breaking changes in the ocrmypdf library are not detailed because
    ocrmypdf is not considered to provide a stable public API.
  * Expand reasoning in first bullet point of 5.5-2 changelog entry.
  * Patch setup.py to remove addopts key under tool:pytest section.
    The '-n' command line option is not supported by recent pytest.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 31 Mar 2018 11:30:50 -0700

ocrmypdf (5.5-2) unstable; urgency=medium

  * Disable test suite at package build time.
    Rely on autopkgtest instead.  The test suite now takes a prohibitively
    long time to run; upstream expects it to be run after OCRmyPDF is
    installed so running it during the build relies on fragile code in
    d/rules; and it requires a number of heavy build dependencies which
    makes it less convenient to build the package, and to backport the
    package to Debian stable.
  * Move test suite dependencies d/control -> d/tests/control.
  * Set PYBUILD_INSTALL_ARGS to pass --force to setup.py.
    This prevents the build from aborting because tools like unpaper, qpdf
    etc. are not installed.  These programs are not actually needed to
    build the package.
  * Demote unpaper Depends -> Recommends.
    Upstream considers it to be optional.
  * Add --locale to help2man call in gen-man-page target.
  * Regenerate manpage.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Jan 2018 12:10:23 -0700

ocrmypdf (5.5-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Jan 2018 12:22:12 -0700

ocrmypdf (5.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Add new build-dep for test suite: python3-pytest-timeout.
  * Update sed(1) call in override_dh_auto_build for changes to __init__.py.
  * Update d/copyright.
    - Upstream have listed Julien Pfefferkorn in LICENSE.rst but the diff
      between upstream releases shows that he holds copyright on
      hocrtransform.py alone.  Thus, he is not listed under "Files: *".
  * Declare compliance with Debian Policy 4.1.2.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 16 Dec 2017 11:48:57 -0700

ocrmypdf (5.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop Testsuite: field.
    See Lintian tag unnecessary-testsuite-autopkgtest-header.
  * Bump standards version to 4.1.1 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 14 Oct 2017 10:46:45 -0700

ocrmypdf (5.3.2-1) unstable; urgency=medium

  * New upstream release (LP: #1687308).
    - New test suite dependencies: pytest-helpers-namespace; pytest-cov;
      pytest-xdist
  * d/rules:
    - update path to upstream's release notes
    - use $DEB_VERSION_UPSTREAM instead of dpkg-parsechangelog
    - export LC_ALL=C.UTF-8
      The upstream build (and especially test suite) now requires a
      Unicode locale.
      For general information: https://bugs.python.org/issue19846
  * d/copyright:
    - Drop stanza for OCRmyPDF.sh.
      No longer included in upstream's release.
    - Merge stanzas for James R. Barlow & "The OCRmyPDF Authors".
    - Add entries for poster.pdf, overlay.pdf, baiona*.png.
    - Add stanza for pdfa.py.
    - Bump copyright years.
  * Drop patch to test_main.py.
  * Backport upstream commit 82ebd8e to fix a failing test.
  * Bump standards version to 4.1.0 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 01 Sep 2017 13:51:02 -0700

ocrmypdf (4.3.5-3) unstable; urgency=high

  * Backport upstream's workaround for Ghostscript 9.20 "VMerror (-25)"
    (upstream commit e71e8ca) (Closes: #861574).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 30 Apr 2017 16:21:55 -0700

ocrmypdf (4.3.5-2) unstable; urgency=medium

  * Remove restriction on python3-pil build-dep & dep.
    OCRmyPDF works with both pillow 3.4.2 and pillow 4.0.0.  The
    restriction was to avoid python3-pil 4.0.0-1 and 4.0.0-2, which are no
    longer in any Debian suite.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 24 Jan 2017 11:50:32 -0700

ocrmypdf (4.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Tighten python3-pil build-dep & dep to >= 4.0.0-3 (Closes: #851011).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 11 Jan 2017 14:21:08 -0700

ocrmypdf (4.3.4-2) unstable; urgency=medium

  Binary packages:
  * bin:ocrmypdf now suggests img2pdf.
  * Remove claim from --help output and manpage that the img2pdf utility
    is installed as a dependency of ocrmypdf.

  Source package:
  * Drop obsolete README.source.
    All DFSG-freeness issues resolved a while ago.
  * Switch to dgit-maint-merge(7) workflow.
    - Add debian/source/patch-header.
    - Set single-debian-patch & auto-commit in d/source/options.
  * Update Vcs-*.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 02 Jan 2017 23:01:10 +0000

ocrmypdf (4.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Add d/copyright stanza for tests/resources/{typewriter.png,2400dpi.pdf}

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 17 Dec 2016 17:08:35 +0000

ocrmypdf (4.3.3-1) unstable; urgency=medium

  * New upstream release (Closes: #846684).
  * Refresh patch-docs-for-Debian.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 03 Dec 2016 08:30:51 -0700

ocrmypdf (4.3.2-2) unstable; urgency=medium

  * Try upload again: sponsor's debsign failed after push to dgit-repos.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 12 Nov 2016 10:31:06 -0700

ocrmypdf (4.3.2-1) unstable; urgency=medium

  * New upstream release.
    - Remove dropped tasks.py from d/copyright.
    - Add new tests/resources/rotated_skew.pdf to d/copyright.
    - Move tests/resources/skew{,-encrypted}.pdf under correct stanza.
      They are based on LinnSequencer.jpg, not a public domain resource.
  * New ocrmypdf-doc binary package: upstream's new HTML documentation.
    - Set PYBUILD_DESTDIR in d/rules.
    - Add override_dh_{auto_build,installdocs,sphinxdoc} targets to d/rules.
    - ocrmypdf suggests python-watchdog.
      See "Cookbook" documentation entry.
    - New build dependencies:
      - python3-sphinx
      - python3-sphinx-rtd-theme
  * Add doc-base registration.
  * Add patch-docs-for-Debian.patch
  * Add path-to-docs-for-Debian.patch
  * Add pip-to-apt-get.patch
  * Bump debhelper compat & build-dep to 10.
  * Run wrap-and-sort -abst.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 12 Nov 2016 09:15:32 -0700

ocrmypdf (4.2.5-1) unstable; urgency=medium

  * New upstream release.
    - Add copyright file entry for tests/resources/epson.pdf.
  * Drop disable-milk.pdf-test.patch.
    Non-free milk.pdf has been replaced by free epson.pdf.
  * Drop pytest-exclude-.git.patch.
    Merged upstream.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 21 Oct 2016 13:45:53 -0700

ocrmypdf (4.2.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Add copyright file entries for several new files.
  * Drop all existing patches.
    Obsoleted by upstream changes.
  * Add disable-milk.pdf-test.patch
  * Add pytest-exclude-.git.patch

  Build:
  * Run test suite with pytest-runner, bypassing pybuild buildsystem.
    This is necessary to successfully run the test suite in advance of
    ocrmypdf being installed.  Previously we used OCRmyPDF.sh to achieve
    this, but that script has been deprecated by upstream.
    - New build dependency on python3-pytest-runner.

  autopkgtest:
  * Run py.test-3 rather than `python3 setup.py test`.
    - Drop obsolete STDERR filtering.
  * Ensure we are testing the installed package, by renaming the 'ocrmypdf'
    directory for the duration of the tests.
  * Drop superfluous dependencies dpkg-dev & python3-pytest-runner.

  Metadata:
  * Add Files-Excluded field to d/copyright.
    Handle new non-free test resource in upstream releases.
  * Rewrite d/watch to pull from GitHub repository, not PyPi.
    This is where I have always actually been packaging from.
  * Bump copyright years.
  * Update README.source.
  * Point Vcs-* at the dgit-repos.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 15 Sep 2016 08:20:54 -0700

ocrmypdf (4.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Append to 0001-patch-test-suite-executable.patch for new stdin test.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Aug 2016 07:36:15 -0700

ocrmypdf (4.2.1+git.20160824.1.5d67cc7-1) unstable; urgency=medium

  * New upstream release.
  * Add missing dependency on python3-pkg-resources (Closes: #835272).
    Thanks to James Murphy for reporting this.
    Eventually the dependency should be included in setup.py: see
    https://github.com/jbarlow83/OCRmyPDF/issues/87

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Aug 2016 17:47:16 -0700

ocrmypdf (4.2-1) unstable; urgency=medium

  * New upstream release.
  * Tighten build-dependencies on python3-pypdf2 and python3-img2pdf.
    Upstream changes mean these dependencies are tightened in
    ${python3:Depends}.  Tightening the build-deps too ensures the test
    suite will run correctly at package build time.
  * Drop bash autopkgtest dependency.
    Shouldn't depend on "Essential: yes" packages.
  * Refresh 0001-patch-test-suite-executable.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 17 Aug 2016 12:45:37 -0700

ocrmypdf (4.1.4-2) unstable; urgency=medium

  * Slightly loosen ghostscript dependency to allow ocrmypdf to migrate
    to Ubuntu.
    Thanks to Gianfranco Costamagna for the diff.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 02 Aug 2016 10:20:56 -0700

ocrmypdf (4.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Add ocrmypdf.egg-info/ to debian/clean.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 31 Jul 2016 09:04:58 -0700

ocrmypdf (4.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Add new tests/resources/encrypted_algo4.pdf to d/copyright.
    Upstream reports that it is based on jbig2.pdf.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Jul 2016 12:43:56 +0900

ocrmypdf (4.1.2-1) unstable; urgency=medium

  * Package new upstream version.
    - New dependency on icc-profiles-free.
    - Use dh_link to replace sRGB.icc with a link to the file
      icc-profiles-free installs (which is identical).
    - Update d/copyright to include sRGB.icc.
      Information lifted from d/copyright of src:icc-profiles.
  * Tighten python3-ruffus dependency to << 2.6.3+dfsh.
    ocrmypdf implements a workaround for a bug present in python3-ruffus
    <=2.6.3.  ocrmypdf's author reports that this workaround should not be
    used with the next release of python3-ruffus, which will contain a fix
    for the bug.
    Thanks to Bernhard R. Link for the '+dfsh' formulation, which ensures
    that new Debian revisions, DFSG repacks (e.g. dfsg2), NMUs and binNMUs
    of version 2.6.3 satisfy the dependency but (e.g.) version 2.6.3.1
    does not.  This is required because python3-ruffus does not appear to
    have a version number policy.
  * Simplify code determining SETUPTOOLS_SCM_PRETEND_VERSION.
  * Patch pytest.ini to exclude .pc.
    Test suite no longer runs `rm -r .pc', which was in violation of DEP-8
    rw-build-tree restriction's requirement that the build tree can be
    returned to its original state with `debian/rules clean'.
  * Use bash pipefail option to ensure adt-run recognises autopkgtest test
    suite failures.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 13 May 2016 12:46:02 -0700

ocrmypdf (4.0.7-2) unstable; urgency=low

  * Switch to depend and build-depend on libjpeg-turbo instead of libjpeg8.
    Thanks to Pino Toscano for the suggestion.  (Closes: #822535)
  * Fix autopkgtest:
    - Set SETUPTOOLS_SCM_PRETEND_VERSION.
    - Use pytest-runner.
    - Delete the .pc directory (and set rw-build-tree restriction).
  * Bump standards version to 3.9.8; no changes required.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 27 Apr 2016 07:45:11 -0700

ocrmypdf (4.0.7-1) unstable; urgency=medium

  * Initial release. (Closes: #813562)

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 Mar 2016 22:04:31 -0700
